<?php

$a = mysql_query("select id_venta from ventas where estado='Abierta'") or die(mysql_error());
while($r = mysql_fetch_array($a)){
 
	seteo($r["id_venta"]);
}

function seteo($id_venta){

	$total = sumaTotal($id_venta);
	mysql_query("update ventas set total='$total' where id_venta='$id_venta'") or die(mysql_error());
	
}

function sumaTotal($id_venta){
	$b = mysql_query("select sum(total_precio) as total from detalle_venta where folio='$id_venta'") or die(mysql_error());
	return @mysql_result($b, 0, "total");
}
?>